#include <string>
#include <fstream>

#include "Logger.h"

std::fstream filehandle{};

void Logger(std::string func, std::string file, int line) {
	std::string code = "logging: Func: " + func + " in file: " + file;
	code += " on line " + std::to_string(line) + "\n";;

	std::cout << code;

	Log_Write(code);
}

bool Log_Open(std::string filename) {
	if (!filehandle.is_open()) {
		filehandle.open(filename.c_str(), std::ios::out | std::ios::trunc);

		_wsetlocale(LC_ALL, L"");
		std::ios_base::sync_with_stdio(false);
		filehandle.imbue(std::locale(""));

		filehandle << "otwarcie" << "\n";

		return true;
	}

	return false;
}

void Log_Write(std::string text) {
	if (filehandle.is_open()) {
		filehandle << text;
	}
}

bool Log_Close() {
	if(filehandle.is_open()) {
		filehandle.close();

		return true;
	}

	return false;
}